<?php

namespace lib\Services;

use lib\Core\Service as Core;
use lib\Core\Model as Model;

abstract class CommonService extends Core
{
    public function __construct()
    {
        parent::__construct();
    } //
    abstract protected function getModel(): Model;
} //Class
